<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta charset="utf-8"/>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <meta name="viewport" content="width=device-width, initial-scale=1"/>
        <!--http://wingsmobile.com/activacionwingsbook-->
        <title>Wings Mobile - Activación WingsBook</title>
        <link th:href="@{/activacionwingsbook/css/bootstrap.min.css}" rel="stylesheet">
        <link th:href="@{/activacionwingsbook/css/style.css}" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Roboto:400,500&display=swap" rel="stylesheet">
        <link rel="shortcut icon" href="/activacionwingsbook/favicon.ico"/>
    </head>

    <body onload="onLoad()">
        <div class="container-fluid" style="text-align: center;">

            <div class="row">
                <div class="col-12">
                    <br/>
                    <br/>
                    <img src="/activacionwingsbook/img/fondo.png" width="400"/>
                </div>
            </div>

            <div class="row">
                <div th:if="${showForm}" class="col-12">
                    <br/>
                    <br/>
                    <h3>Digita tu Pin y genera tu licencia de Windows 10</h3>                    
                    <br/>
                    <form method="POST" action="/activacionwingsbook/postCode">
                        <input type="text" name="pinCode" id="pin-code" class="" style="text-transform: uppercase;"/>
                        <input type="submit" class="btn btn-success"/>
                    </form>
                    <br/>
                    <br/>
                </div>
                <div th:if="${!showForm}" class="col-12">
                    Tu licencia es: 
                    <code class="">
                        <h4 th:text="${license}"></h4>
                    </code>

                    <form method="POST" action="/activacionwingsbook/cleanCode">                        
                        <input type="submit" class="btn btn-success" value="Insertar nuevo pin"/>
                    </form>

                </div>
            </div>
        </div>

        <script type="text/javascript" th:src="@{/activacionwingsbook/js/input-mask.js}" ></script>
        <script>
            function onLoad() {
                new InputMask().Initialize(document.querySelectorAll("#pin-code"),
                        {
                            mask: InputMaskDefaultMask.SN,
                            placeHolder: "Pin: XXX-XXXX"
                        });
            }
        </script>        
    </body>
</html>
